
body {
    background: #222;
    color: #eee;
    font-family: sans-serif;
    padding: 20px;
    text-align: center;
}
/*
#asi {
    position: relative;
    width: 300px;
    height: 300px;
}
*/
canvas {
    position: absolute;
    top: 0;
    left: 0;
}

/* Code-generated needle */
#asiNeedle {
    position: absolute;
    width: 4px;
    height: 45%;
    background: red;
    top: 7%;
    left: 50%;
    transform-origin: 50% 90%;
    transform: rotate(0deg);
    border-radius: 2px;
}

#bg {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
/*
#alt {
  position: absolute;  
  width: 300px;
  height: 300px;
}
*/
#altNeedle {
  position: absolute;
  width: 4px;
  height: 45%;
  background: white;
  top: 5%;
  left: 50%;
  transform-origin: 50% 90%;
  transform: rotate(0deg);
  border-radius: 2px;
  transition: transform 0.15s linear;
}
/*
#hdg {
  position: absolute;
  width: 300px;
  height: 300px;
}
*/
#hdgLubber {
  position: absolute;
  width: 4px;
  height: 40px;
  background: red;
  top: 0px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 10;
}

#testToggle.off {
  background-color: red;
  color: white;
}

#testToggle.on {
  background-color: #2ecc71; /* green */
  color: black;
}

#testToggle.pause {
  background-color: #f1c40f; /* yellow */
  color: black;
}

/* so resize will work on the div */
#vsiCanvasDivId canvas,
#turnRateDivId canvas,
#asi canvas,
#hdgTypeB canvas,
#attitudeDivId canvas,
#alt canvas,
#hdg canvas,
#timerClock canvas {
    width: 100%;
    height: 100%;
}
